Bug 702153

Summary: Several services errored following upgrade
Product: [Fedora] Fedora Reporter: cam <camilo>
Component: systemdAssignee: Lennart Poettering <lpoetter>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 15CC: hvtaifwkbgefbaei, johannbg, lpoetter, metherid, mschmidt, notting, plautrba, PTrenholme, thomas.mey, tiagomatos
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=695588
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-30 20:36:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description cam 2011-05-04 18:06:20 EDT
Description of problem:
The system was upgraded from F14 to F15 using preupgrade and there were several problems with systemd services afterwards.

Most of the problems were not immediately noticeable but caused harder to diagnose problems later on.

Version-Release number of selected component (if applicable):
systemd-26-1.fc15.i686


How reproducible:
seems common amongst other bug reporters

Steps to Reproduce:
1.upgrade F14->F15 using preupgrade
2.check logs
3.check systemctl --all

Actual results:
[root@newt ~]# systemctl --all|grep error
dbus-org.bluez.service    error  inactive dead          dbus-org.bluez.service
dbus-org....Avahi.service error  inactive dead          dbus-org.freedesktop.Avahi.service
distcache.service         error  inactive dead          distcache.service
tgtd.service              error  inactive dead          tgtd.service
abrtd.target              error  inactive dead          abrtd.target
cgconfig.target           error  inactive dead          cgconfig.target


Expected results:
no errors

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=696278
 - NetworkManager not started

https://bugzilla.redhat.com/show_bug.cgi?id=699198
 - rsyslog not started

https://bugzilla.redhat.com/show_bug.cgi?id=696815
 - dbus-org.freedesktop.Avahi.service failed to load
Comment 1 cam 2011-05-14 12:50:42 EDT
I reinstalled the system from scratch, using the F15 live CD to rule out issues from the upgrade.

I get:

[root@sulaco ~]# systemctl --all|grep error
dbus-org.bluez.service    error  inactive dead          dbus-org.bluez.service
tgtd.service              error  inactive dead          tgtd.service
abrtd.target              error  inactive dead          abrtd.target
cgconfig.target           error  inactive dead          cgconfig.target

from a fresh install.
Comment 2 Peter Trenholme 2011-06-01 15:44:12 EDT
In a "default" installation, the cgconfig service start will fail because the default configuration file (/etc/cgconfig.conf) is shipped with all lines (including the default grouping) commented out. The service start should, I think, not post a "failed" when it has nothing to do.

Note that the parser will fail if the default groups are specified, but that's a different bug, already reported.
Comment 3 Lennart Poettering 2011-08-30 20:36:05 EDT
(In reply to comment #1)
> I reinstalled the system from scratch, using the F15 live CD to rule out issues
> from the upgrade.
> 
> I get:
> 
> [root@sulaco ~]# systemctl --all|grep error
> dbus-org.bluez.service    error  inactive dead          dbus-org.bluez.service
> tgtd.service              error  inactive dead          tgtd.service
> abrtd.target              error  inactive dead          abrtd.target
> cgconfig.target           error  inactive dead          cgconfig.target
> 
> from a fresh install.

This is not a bug. It just means that some services are referenced by other services but couldn't be found. Which is completely OK for example when a service A wants to be started after a service B but it doesn't really matter whether B is around or not. systemctl by default hides these services if they aren't found. With "--all" you unhide them, but that doesn't make them a problem.

So there's nothign wrong here.